<script setup lang="ts">
  import type { CmsBlockCategoryNavigation } from '@shopware-pwa/composables-next';
  import { CmsPageKey } from '~/helpers/injection';

  const cmsPageInject = inject(CmsPageKey);
  const props = defineProps<{
    content: CmsBlockCategoryNavigation;
  }>();
  const { getSlotContent } = useCmsBlock(props.content);
  const slotContent = getSlotContent('content');
</script>

<template>
  <div v-if="cmsPageInject?.type !== 'presentation'">
    <CmsGenericElement v-if="slotContent" :content="slotContent" />
  </div>
  <div class="bg-gray-100 p-5 text-center italic">
    {{ $t('unsupportedElement', { name: props.content.type }) }}
  </div>
</template>
